Package org.eclipse.cdt.core.cdtvariables

# Interface ICdtVariableStatus

All Superinterfaces:
  `org.eclipse.core.runtime.IStatus`

All Known Implementing Classes:
  `CdtVariableStatus`, `SupplierBasedCdtVariableStatus`

public interface ICdtVariableStatus extends org.eclipse.core.runtime.IStatus
This interface represents the status of a build macro operation

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TYPE_ERROR`
This type is used to present that some error other than the one represented by other TYPE_xxx has occured
`static final int`
`TYPE_MACRO_NOT_STRING`
The status of this type is created by the Build Macro of the String-List type when the String value is requested
`static final int`
`TYPE_MACRO_NOT_STRINGLIST`
The status of this type is created by the Build Macro of the String type when the String-List value is requested
`static final int`
`TYPE_MACRO_REFERENCE_INCORRECT`
This type is used to present that the incorrect macro reference is encountered while resolving macros in some expression
`static final int`
`TYPE_MACRO_UNDEFINED`
This type is used to present that the inexistent macro reference is encountered while resolving macros in some expression
`static final int`
`TYPE_MACROS_REFERENCE_EACHOTHER`
This type is used to present that two macros reference each other

### Fields inherited from interface org.eclipse.core.runtime.IStatus

`CANCEL, ERROR, INFO, OK, WARNING`

## Method Summary

Modifier and Type
Method
Description
`String`
`getExpression()`
returns the string whose resolutinon caused caused this status creation or null if none
`String`
`getReferencedMacroName()`
returns the macro name referenced in the resolution string that caused this this status creation or null if none
`String`
`getVariableName()`
returns the name of the build macro whose resolution caused this status creation or null if none

### Methods inherited from interface org.eclipse.core.runtime.IStatus

`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches`

## Field Details

### TYPE_MACRO_UNDEFINED

static final int TYPE_MACRO_UNDEFINED
This type is used to present that the inexistent macro reference is encountered while resolving macros in some expression

See Also:
  - Constant Field Values

### TYPE_MACROS_REFERENCE_EACHOTHER

static final int TYPE_MACROS_REFERENCE_EACHOTHER
This type is used to present that two macros reference each other

See Also:
  - Constant Field Values

### TYPE_MACRO_REFERENCE_INCORRECT

static final int TYPE_MACRO_REFERENCE_INCORRECT
This type is used to present that the incorrect macro reference is encountered while resolving macros in some expression

See Also:
  - Constant Field Values

### TYPE_MACRO_NOT_STRING

static final int TYPE_MACRO_NOT_STRING
The status of this type is created by the Build Macro of the String-List type when the String value is requested

See Also:
  - Constant Field Values

### TYPE_MACRO_NOT_STRINGLIST

static final int TYPE_MACRO_NOT_STRINGLIST
The status of this type is created by the Build Macro of the String type when the String-List value is requested

See Also:
  - Constant Field Values

### TYPE_ERROR

static final int TYPE_ERROR
This type is used to present that some error other than the one represented by other TYPE_xxx has occured

See Also:
  - Constant Field Values

## Method Details

### getVariableName

String getVariableName()
returns the name of the build macro whose resolution caused this status creation or null if none

Returns:
  IBuildMacro

### getExpression

String getExpression()
returns the string whose resolutinon caused caused this status creation or null if none

Returns:
  String

### getReferencedMacroName

String getReferencedMacroName()
returns the macro name referenced in the resolution string that caused this this status creation or null if none

Returns:
  String